Bug 477544 - (libpcapnav) Review Request: libpcapnav - Wrapper library for libpcap offering navigation inside of a tracefile
Review Request: libpcapnav - Wrapper library for libpcap offering navigation ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: libnetdude netdude
  Show dependency treegraph
 
Reported: 2008-12-21 15:09 EST by Andreas Thienemann
Modified: 2009-02-14 23:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-14 23:38:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2008-12-21 15:09:48 EST
SPEC: http://home.bawue.de/~ixs/libpcapnav/libpcapnav.spec
SRPM: http://home.bawue.de/~ixs/libpcapnav/libpcapnav-0.8-1.fc9.src.rpm

Libpcapnav is a libpcap wrapper library that allows navigation to arbitrary
packets in a tcpdump trace file between reads, using timestamps or percentage
offsets. It was originally based on Vern Paxson's tcpslice tool.

[athienem@localhost ~]$ rpmlint  /var/lib/mock/fedora-rawhide-*/result/*.rpm
libpcapnav-debuginfo.i386: E: non-standard-dir-perm
/usr/src/debug/libpcapnav-0.8/src 02755
libpcapnav-debuginfo.x86_64: E: non-standard-dir-perm
/usr/src/debug/libpcapnav-0.8/src 02755
8 packages and 0 specfiles checked; 2 errors, 0 warnings.
[athienem@localhost ~]$ 
Autogenerated packages, setgid error is ignorable.
Comment 1 manuel wolfshant 2008-12-22 01:13:12 EST
Will review later today.
Mind that there is a small cosmetic problem:
libpcapnav.x86_64: W: incoherent-version-in-changelog 0.8-2 ['0.8-1.fc11', '0.8-1']

And.. why the comment about rpmfusion ?
Comment 2 manuel wolfshant 2008-12-22 08:46:31 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [!] Rpmlint output:
source RPM: empty
binary RPM: libpcapnav.x86_64: W: incoherent-version-in-changelog 0.8-2 ['0.8-1.fc11', '0.8-1']
=> either the newest changelog should be dropped or release tag should be increased
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: MIT (with advertisement)
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 9f585e8589f289d157732b040f2a213e8b6b239b  libpcapnav-0.8.tar.gz
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.


=== Issues ===
1. Release tag for the package does not coincide with the changelog

================
*** APPROVED *** but please fix the release tag before commit
================
Comment 3 Andreas Thienemann 2008-12-22 09:04:08 EST
New Package CVS Request
=======================
Package Name: libpcapnav
Short Description: Wrapper library for libpcap offering navigation inside of a tracefile
Owners: ixs
Branches: F-9 F-10
Comment 4 Kevin Fenzi 2008-12-22 21:54:30 EST
cvs done.
Comment 5 manuel wolfshant 2009-02-14 23:38:57 EST
seems that the package has been built for quite some time. closing.

Note You need to log in before you can comment on or make changes to this bug.